# MainProjectCampaignHeaderViewHolder
Date: 2018-06-14

kr.co.hanwha.hifive.adapter.viewholder

## Class MainProjectCampaignHeaderViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.MainProjectCampaignHeaderViewHolder

    public class MainProjectCampaignHeaderViewHolder
    extends BaseViewHolder

Created by sanghoonkwon on 2018. 2. 20..

### Field Summary

Fields
`private android.widget.LinearLayout` `mLayoutContainer`
`private android.widget.TextView` `mTextViewDueDate`
`private android.widget.TextView` `mTextViewGoalNumber`
`private android.widget.TextView` `mTextViewTitle`
`private android.view.View` `mViewBottomMargin`
`private android.view.View` `mViewUnderline`

### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`MainProjectCampaignHeaderViewHolder(android.view.ViewGroup viewGroup)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBind(java.lang.Object object, int taskCount)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

`getContext, getHeight`

### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mLayoutContainer

    private android.widget.LinearLayout mLayoutContainer

#### mTextViewGoalNumber

    private android.widget.TextView mTextViewGoalNumber

#### mTextViewTitle

    private android.widget.TextView mTextViewTitle

#### mTextViewDueDate

    private android.widget.TextView mTextViewDueDate

#### mViewUnderline

    private android.view.View mViewUnderline

#### mViewBottomMargin

    private android.view.View mViewBottomMargin

### Constructor Detail

#### MainProjectCampaignHeaderViewHolder

    public MainProjectCampaignHeaderViewHolder(@NonNull
                                               android.view.ViewGroup viewGroup)

### Method Detail

#### onBind

    public void onBind(java.lang.Object object,
                       int taskCount)

Overrides:
  `onBind` in class `BaseViewHolder`